package web._05._0302;
/**
 * 5-3-2
 * 2次職「AxMaster」クラスの動作確認用テストクラスです。
 *
 * @author akira_ishii
 *
 */
public class TestAxMaster {

	/**
	 * AxMasterの各機能の動作確認を行います。
	 *
	 * @param args コマンドライン引数
	 */
	public static void main(String[] args) {

		AxMaster axMaster = new AxMaster("1", "1", "1");

		//初期ステータスの確認
		//結果、trueなら正
		System.out.println("性別コードの期待値：1");
		System.out.println("性別コードの結果：" + axMaster.getGenderCode());
		System.out.println("期待値＝結果：" + axMaster.getGenderCode().equals("1"));
		System.out.println("髪型コードの期待値：1");
		System.out.println("髪型コードの結果：" + axMaster.getHairStyleCode());
		System.out.println("期待値＝結果：" + axMaster.getHairStyleCode().equals("1"));
		System.out.println("目の色コードの期待値：1");
		System.out.println("目の色コードの結果：" + axMaster.getEyeColorCode());
		System.out.println("期待値＝結果：" + axMaster.getEyeColorCode().equals("1"));
		System.out.println("HPの期待値：160");
		System.out.println("HPの結果：" + axMaster.getHp());
		System.out.println("期待値＝結果：" + (axMaster.getHp() == 160));
		System.out.println("SPの期待値：40");
		System.out.println("SPの結果：" + axMaster.getSp());
		System.out.println("期待値＝結果：" + (axMaster.getSp() == 40));
		System.out.println("MPの期待値：30");
		System.out.println("MPの結果：" + axMaster.getMp());
		System.out.println("期待値＝結果：" + (axMaster.getMp() == 5));

		//情報表示メソッドの動作確認
		//正しく表示されることを確認する
		System.out.println("ステータス表示メソッドが正しく動作していることを目視確認する");
		axMaster.viewInfo();

		/*
		 * 攻撃メソッドは確率で結果が変わるため、
		 * 現在の形では動作確認が難しい
		 */

		//自動回復動作確認
		//次の3ケースで動作を確認する。回復量は2。
		//①回復して160より小さい→2回復される
		//②回復して160ちょうど→2回復される
		//③回復して160を超える→160に調整される

		//①
		System.out.println("ケース①：回復して160より小さい→2回復される");
		System.out.println("150をHPにセット");
		axMaster.setHp(150);
		System.out.println("autoHealメソッドを実行");
		axMaster.autoHeal();
		//結果、trueなら正
		System.out.println("HPの期待値：152");
		System.out.println("HPの結果：" + axMaster.getHp());
		System.out.println("期待値＝結果：" + (axMaster.getHp() == 152));

		//②
		System.out.println("ケース②：回復して160ちょうど→2回復される");
		System.out.println("158をHPにセット");
		axMaster.setHp(158);
		System.out.println("autoHealメソッドを実行");
		axMaster.autoHeal();
		//結果、trueなら正
		System.out.println("HPの期待値：160");
		System.out.println("HPの結果：" + axMaster.getHp());
		System.out.println("期待値＝結果：" + (axMaster.getHp() == 160));

		//③
		System.out.println("ケース③：回復して160を超える→160に調整される");
		System.out.println("159をHPにセット");
		axMaster.setHp(159);
		System.out.println("autoHealメソッドを実行");
		axMaster.autoHeal();
		//結果、trueなら正
		System.out.println("HPの期待値：160");
		System.out.println("HPの結果：" + axMaster.getHp());
		System.out.println("期待値＝結果：" + (axMaster.getHp() == 160));
	}
}
