package web._05._0302;
/**
 * 5-3-2
 * 2次職「LanceMaster」クラスの動作確認用テストクラスです。
 *
 * @author akira_ishii
 *
 */
public class TestLanceMaster {

	/**
	 * LanceMasterの各機能の動作確認を行います。
	 *
	 * @param args コマンドライン引数
	 */
	public static void main(String[] args) {

		LanceMaster lanceMaster = new LanceMaster("1", "1", "1");

		//初期ステータスの確認
		//結果、trueなら正
		System.out.println("性別コードの期待値：1");
		System.out.println("性別コードの結果：" + lanceMaster.getGenderCode());
		System.out.println("期待値＝結果：" + lanceMaster.getGenderCode().equals("1"));
		System.out.println("髪型コードの期待値：1");
		System.out.println("髪型コードの結果：" + lanceMaster.getHairStyleCode());
		System.out.println("期待値＝結果：" + lanceMaster.getHairStyleCode().equals("1"));
		System.out.println("目の色コードの期待値：1");
		System.out.println("目の色コードの結果：" + lanceMaster.getEyeColorCode());
		System.out.println("期待値＝結果：" + lanceMaster.getEyeColorCode().equals("1"));
		System.out.println("HPの期待値：120");
		System.out.println("HPの結果：" + lanceMaster.getHp());
		System.out.println("期待値＝結果：" + (lanceMaster.getHp() == 120));
		System.out.println("SPの期待値：50");
		System.out.println("SPの結果：" + lanceMaster.getSp());
		System.out.println("期待値＝結果：" + (lanceMaster.getSp() == 50));
		System.out.println("MPの期待値：15");
		System.out.println("MPの結果：" + lanceMaster.getMp());
		System.out.println("期待値＝結果：" + (lanceMaster.getMp() == 15));

		//情報表示メソッドの動作確認
		//正しく表示されることを確認する
		System.out.println("ステータス表示メソッドが正しく動作していることを目視確認する");
		lanceMaster.viewInfo();

		/*
		 * 攻撃メソッドは確率で結果が変わるため、
		 * 現在の形では動作確認が難しい
		 */

		//自動回復動作確認
		//次の3ケースで動作を確認する。回復量は7。
		//①回復して120より小さい→7回復される
		//②回復して120ちょうど→7回復される
		//③回復して120を超える→120に調整される

		//①
		System.out.println("ケース①：回復して120より小さい→7回復される");
		System.out.println("110をHPにセット");
		lanceMaster.setHp(110);
		System.out.println("autoHealメソッドを実行");
		lanceMaster.autoHeal();
		//結果、trueなら正
		System.out.println(lanceMaster.getHp() == 117);
		System.out.println("HPの期待値：117");
		System.out.println("HPの結果：" + lanceMaster.getHp());
		System.out.println("期待値＝結果：" + (lanceMaster.getHp() == 117));

		//②
		System.out.println("ケース②：回復して120ちょうど→7回復される");
		System.out.println("113をHPにセット");
		lanceMaster.setHp(113);
		System.out.println("autoHealメソッドを実行");
		lanceMaster.autoHeal();
		//結果、trueなら正
		System.out.println("HPの期待値：120");
		System.out.println("HPの結果：" + lanceMaster.getHp());
		System.out.println("期待値＝結果：" + (lanceMaster.getHp() == 120));

		//③
		System.out.println("ケース③：回復して120を超える→120に調整される");
		System.out.println("115をHPにセット");
		lanceMaster.setHp(115);
		System.out.println("autoHealメソッドを実行");
		lanceMaster.autoHeal();
		//結果、trueなら正
		System.out.println(lanceMaster.getHp() == 120);
		System.out.println("HPの期待値：120");
		System.out.println("HPの結果：" + lanceMaster.getHp());
		System.out.println("期待値＝結果：" + (lanceMaster.getHp() == 120));

	}
}
