package web._05._0302;
/**
 * 5-3-2
 * 2次職「SwordMaster」クラスの動作確認用テストクラスです。
 *
 * @author akira_ishii
 *
 */
public class TestSwordMaster {

	/**
	 * SwordMasterの各機能の動作確認を行います。
	 *
	 * @param args コマンドライン引数
	 */
	public static void main(String[] args) {

		SwordMaster swordMaster = new SwordMaster("1", "1", "1");

		//初期ステータスの確認
		//結果、trueなら正
		System.out.println("性別コードの期待値：1");
		System.out.println("性別コードの結果：" + swordMaster.getGenderCode());
		System.out.println("期待値＝結果：" + swordMaster.getGenderCode().equals("1"));
		System.out.println("髪型コードの期待値：1");
		System.out.println("髪型コードの結果：" + swordMaster.getHairStyleCode());
		System.out.println("期待値＝結果：" + swordMaster.getHairStyleCode().equals("1"));
		System.out.println("目の色コードの期待値：1");
		System.out.println("目の色コードの結果：" + swordMaster.getEyeColorCode());
		System.out.println("期待値＝結果：" + swordMaster.getEyeColorCode().equals("1"));
		System.out.println("HPの期待値：130");
		System.out.println("HPの結果：" + swordMaster.getHp());
		System.out.println("期待値＝結果：" + (swordMaster.getHp() == 130));
		System.out.println("SPの期待値：45");
		System.out.println("SPの結果：" + swordMaster.getSp());
		System.out.println("期待値＝結果：" + (swordMaster.getSp() == 45));
		System.out.println("MPの期待値：20");
		System.out.println("MPの結果：" + swordMaster.getMp());
		System.out.println("期待値＝結果：" + (swordMaster.getMp() == 20));

		//情報表示メソッドの動作確認
		//正しく表示されることを確認する
		System.out.println("ステータス表示メソッドが正しく動作していることを目視確認する");
		swordMaster.viewInfo();

		/*
		 * 攻撃メソッドは確率で結果が変わるため、
		 * 現在の形では動作確認が難しい
		 */

		//自動回復動作確認
		//次の3ケースで動作を確認する。回復量は10。
		//①回復して130より小さい→10回復される
		//②回復して130ちょうど→10回復される
		//③回復して130を超える→130に調整される

		//①
		System.out.println("ケース①：回復して130より小さい→10回復される");
		System.out.println("115をHPにセット");
		swordMaster.setHp(115);
		System.out.println("autoHealメソッドを実行");
		swordMaster.autoHeal();
		//結果、trueなら正
		System.out.println("HPの期待値：125");
		System.out.println("HPの結果：" + swordMaster.getHp());
		System.out.println("期待値＝結果：" + (swordMaster.getHp() == 125));

		//②
		System.out.println("ケース②：回復して130ちょうど→10回復される");
		System.out.println("120をHPにセット");
		swordMaster.setHp(120);
		System.out.println("autoHealメソッドを実行");
		swordMaster.autoHeal();
		//結果、trueなら正
		System.out.println("HPの期待値：130");
		System.out.println("HPの結果：" + swordMaster.getHp());
		System.out.println("期待値＝結果：" + (swordMaster.getHp() == 130));

		//③
		System.out.println("ケース③：回復して130を超える→130に調整される");
		System.out.println("125をHPにセット");
		swordMaster.setHp(125);
		System.out.println("autoHealメソッドを実行");
		swordMaster.autoHeal();
		//結果、trueなら正
		System.out.println("HPの期待値：130");
		System.out.println("HPの結果：" + swordMaster.getHp());
		System.out.println("期待値＝結果：" + (swordMaster.getHp() == 130));

	}
}
